Update a product
products:writeLa clé API doit porter cette portée, sinon Kivoo répond 403 insufficient_scope./v1/products/{id}Change the title, texts or prices of a product, including an open price the buyer chooses (pricing: OPEN), publish it (status: PUBLISHED), take it offline (DRAFT) or archive it (ARCHIVED). Pricing and publishing follow the same rules as the dashboard. The change is recorded in the activity journal of the store under the name of the key.
Autorisation
apiKey An API key of the store, kv_live_…
Dans: header
Paramètres de chemin
Corps de la requête
application/json
Définitions TypeScript
Utilise le type request body en TypeScript.
Corps de la réponse
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.kivoo.africa/v1/products/string" \ -H "Authorization: Bearer kv_live_EXAMPLE0000000000000000000000000000000000" \ -H "Content-Type: application/json" \ -d '{ "status": "PUBLISHED", "priceAmount": 6000 }'{ "id": "3a6c2f1e-8b4d-4c1a-9e2f-5d7b8a9c0e1f", "title": "Guide du freelance", "slug": "guide-du-freelance-a3f9k2p1", "type": "FILE", "status": "PUBLISHED", "summary": "Trouver ses premiers clients en trente jours.", "description": "<p>Un guide pas à pas.</p>", "priceAmount": 5000, "compareAtAmount": 7500, "pricing": "FIXED", "maxPriceAmount": null, "currency": "XAF", "url": "https://atelier-nour.kivoo.co/guide-du-freelance-a3f9k2p1", "imageUrl": "https://api.kivoo.africa/api/v1/products/3a6c2f1e-8b4d-4c1a-9e2f-5d7b8a9c0e1f/image?v=image.jpg", "coverImageUrl": "https://api.kivoo.africa/api/v1/products/3a6c2f1e-8b4d-4c1a-9e2f-5d7b8a9c0e1f/cover-image?v=cover.jpg", "publishedAt": "2026-09-01T08:00:00.000Z", "createdAt": "2026-08-28T15:12:00.000Z", "updatedAt": "2026-09-01T08:00:00.000Z", "license": { "validityDays": 30, "maxDevices": 1, "appOnly": false }}